Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AttributeValueScalar

    java.lang.Object
      oracle.ifs.common.AttributeValue
          oracle.ifs.common.AttributeValueScalar

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, LooselyBoundedCacheable

    public class AttributeValueScalar

extends AttributeValue

An AttributeValueScalar represents the value of a non-array type Attribute.

AttributeValueArray is an abstract class.

See Also:
  Serialized Form
(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.common.AttributeValue
`LONG_ZERO, m_Name`

Constructor Summary
`AttributeValueScalar()`

Method Summary
`protected void` | `resolve(LibrarySessionInterface session)` Ensures that the AttributeValue can be converted to a Java type.

Methods inherited from class oracle.ifs.common.AttributeValue
`added, arrayToHashtable, canPurge, compareTo, convertToBoolean, convertToBooleanArray, convertToBooleanObject, convertToBooleanObjectArray, convertToDate, convertToDateArray, convertToDirectoryObject, convertToDirectoryObjectArray, convertToDouble, convertToDoubleArray, convertToDoubleObject, convertToDoubleObjectArray, convertToInteger, convertToIntegerArray, convertToIntegerObject, convertToIntegerObjectArray, convertToLong, convertToLongArray, convertToLongObject, convertToLongObjectArray, convertToPublicObject, convertToPublicObjectArray, convertToSchemaObject, convertToSchemaObjectArray, convertToString, convertToStringArray, convertToSystemObject, convertToSystemObjectArray, ensureUpperCaseName, getBoolean, getBooleanArray, getBooleanArray, getBooleanObject, getBooleanObjectArray, getBooleanObjectArray, getDataType, getDate, getDateArray, getDateArray, getDirectoryObject, getDirectoryObjectArray, getDirectoryObjectArray, getDouble, getDoubleArray, getDoubleArray, getDoubleObject, getDoubleObjectArray, getDoubleObjectArray, getElementCount, getInteger, getIntegerArray, getIntegerArray, getIntegerObject, getIntegerObjectArray, getIntegerObjectArray, getLibraryObject, getLong, getLongArray, getLongArray, getLongObject, getLongObjectArray, getLongObjectArray, getName, getObject, getPublicObject, getPublicObjectArray, getPublicObjectArray, getSchemaObject, getSchemaObjectArray, getSchemaObjectArray, getString, getStringArray, getStringArray, getSystemObject, getSystemObjectArray, getSystemObjectArray, hashtableToArray, isArrayType, isLibraryObjectArrayType, isLibraryObjectScalarType, isLibraryObjectType, isNullValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newNullAttributeValue, overrideName, removed, setName, toBoolean, toBoolean, toBoolean, toBoolean, toDate, toDate, toDouble, toDouble, toDouble, toInteger, toInteger, toInteger, toLong, toLong, toLong, toLong, toString, toString, toString, toString, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeValueScalar

    public AttributeValueScalar()

Method Detail

### resolve

    protected final void resolve(LibrarySessionInterface session)
                          throws IfsException

  Description copied from class: `AttributeValueScalar`
  Ensures that the AttributeValue can be converted to a Java type.

  Overrides:
    `resolve` in class `AttributeValue`
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD